import 'package:firebase_core/firebase_core.dart';
import 'package:flutter/material.dart';
import 'package:garage/app_root.dart';
import 'package:garage/notification/service/notification_service.dart';
import 'package:garage/utils/ioc_container.dart';

import 'firebase_options.dart';

Future<void> main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await Firebase.initializeApp(
    options: DefaultFirebaseOptions.currentPlatform,
  );
  await NotificationService().initNotifications();
  IocContainer.setup();
  runApp(const AppRoot());
}
